> ## Documentation Index
> Fetch the complete documentation index at: https://docs.threetone.in/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete Existing Invitation

> Invalidates an existing email invitation. The invitation will still show up in the inbox it has been delivered to, but activating it to join the workspace won't work. This endpoint may only be called by workspace members with the WORKSPACE_MEMBERS_INVITE permission.



## OpenAPI

````yaml /api-reference/openapi.json delete /v1/workspace/invites
openapi: 3.1.0
info:
  title: Threetone API Documentation
  description: >-
    This is the documentation for the Threetone API. You can use this API to use
    our service programmatically with API keys sent in the x-api-key header. You
    can create and manage API keys in the dashboard at
    https://threetone.in/app/developers/api-keys.
  version: '1.0'
servers:
  - url: https://api.threetone.in
    description: Production
security: []
paths:
  /v1/workspace/invites:
    delete:
      tags:
        - workspace
      summary: Delete Existing Invitation
      description: >-
        Invalidates an existing email invitation. The invitation will still show
        up in the inbox it has been delivered to, but activating it to join the
        workspace won't work. This endpoint may only be called by workspace
        members with the WORKSPACE_MEMBERS_INVITE permission.
      operationId: delete_invite
      parameters:
        - name: x-api-key
          in: header
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            description: >-
              Your API key for programmatic access. Send it in the x-api-key
              header; you can create and manage keys from the Developers page.
            title: X-Api-Key
          description: >-
            Your API key for programmatic access. Send it in the x-api-key
            header; you can create and manage keys from the Developers page.
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: >-
                #/components/schemas/Body_Delete_existing_invitation_v1_workspace_invites_delete
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/DeleteWorkspaceInviteResponseModel'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    Body_Delete_existing_invitation_v1_workspace_invites_delete:
      properties:
        email:
          type: string
          title: Email
          description: The email of the customer.
          examples:
            - john.doe@testmail.com
      type: object
      required:
        - email
      title: Body_Delete_existing_invitation_v1_workspace_invites_delete
    DeleteWorkspaceInviteResponseModel:
      properties:
        status:
          type: string
          title: Status
          description: >-
            The status of the workspace invite deletion request. If the request
            was successful, the status will be 'ok'. Otherwise an error message
            with status 500 will be returned.
      type: object
      required:
        - status
      title: DeleteWorkspaceInviteResponseModel
      example:
        status: ok
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````